# coding: utf-8

import sys
from setuptools import setup, find_packages

NAME = "clio-cli"
VERSION = "1.0.5"

# To install the library, run the following
#
# python setup.py install
#
# prerequisite: setuptools
# http://pypi.python.org/pypi/setuptools

REQUIRES = [
    "connexion==2.14.1",
    "swagger-ui-bundle==0.0.9",
    "aiohttp_jinja2==1.5.0",
]

setup(
    name=NAME,
    version=VERSION,
    description="Clio API Documentation",
    author_email="api@clio.com",
    url="",
    keywords=["OpenAPI", "Clio API Documentation"],
    install_requires=REQUIRES,
    packages=find_packages(),
    package_data={'': ['openapi/openapi.yaml']},
    include_package_data=True,
    entry_points={
        'console_scripts': ['openapi_server=openapi_server.__main__:main']},
    long_description="""\
    # Developer Support and Feedback * Clio takes the availability and stability of our API seriously; please report any **degradations** or **breakages** to Clio&#39;s API Support team at [api@clio.com](mailto:api@clio.com). * For business and partnership inquiries, contact our API Partnerships team at [api.partnerships@clio.com](mailto:api.partnerships@clio.com). * For best practices and tips from the Clio development community, join the conversation in the [Clio Developer Slack Channel](https://join.slack.com/t/clio-public/shared_invite/zt-1bd5nfbiv-WloZR3ZjepoUTv28SI1ezw).  A community-driven [Clio Developers Stack Overflow Group](https://stackoverflow.com/questions/tagged/clio-api) also exists where you can connect and ask questions from other Clio API users. # Getting Started &gt; **Note:** The API is available in four distinct data regions: Australia (au.app.clio.com), Canada (ca.app.clio.com), EU (eu.app.clio.com) and US (app.clio.com). &gt; &gt; Likewise, the developer portal is available at region-specific links for the [Australia](https://au.developers.clio.com), [Canada](https://ca.developers.clio.com), [EU](https://eu.developers.clio.com), and [US](https://developers.clio.com) regions. &gt; &gt; This document assumes the US region is being used (app.clio.com). If you&#39;re building in one of the other regions, you should adapt the links and examples as necessary.  To start building on the Clio API, you’ll need a Clio account – you can review our [Developer Handbook](https://docs.developers.clio.com/) and follow the steps to sign up for an account.  Once you have an account, you can [create a developer application](https://docs.developers.clio.com/api-docs/applications) from the [Developer Portal](https://developers.clio.com) and start building! # Authorization with OAuth 2.0 See our [Authorization documentation →](https://docs.developers.clio.com/api-docs/authorization) # Permissions See our [Permissions documentation →](https://docs.developers.clio.com/api-docs/permissions) # Fields See our [Fields documentation →](https://docs.developers.clio.com/api-docs/fields) # Rate Limiting See our [Rate Limits documentation →](https://docs.developers.clio.com/api-docs/rate-limits) # Paging See our [Pagination documentation →](https://docs.developers.clio.com/api-docs/paging) # ETags See our [ETags documentation →](https://docs.developers.clio.com/api-docs/etags) # Minor Versions API v4 supports multiple minor versions. Versions are of the form &#39;4.X.Y&#39;. To request a specific version, you can use an &#x60;X-API-VERSION&#x60; header in your request, with the header value set to the API version you&#39;re requesting. If this header is omitted, it will be treated as a request for the default API version. If the header is present but invalid, it will return a &#x60;410 Gone&#x60; response. If the header is present and valid, but it is no longer supported, it will return a &#x60;410 Gone&#x60; response.  An &#x60;X-API-VERSION&#x60; will be included in all successful responses, with the value being set to the API version used.  You can find our [API Versioning Policy and Guidelines](https://docs.developers.clio.com/api-docs/api-versioning-policy) in our documentation hub.  The [API Changelog](https://docs.developers.clio.com/api-docs/api-changelog) explains each version&#39;s changes in further detail. - 4.0.4    Update &#x60;quantity&#x60; field to return values in seconds rather than hours for Activities  - 4.0.5    * Remove &#x60;matter_balances&#x60; field from Bills   * Standardize status/state enum values   * Add a Document association to completed DocumentAutomations   * Add rate visibility handling for Activity&#39;s price and total  - 4.0.6    Remove &#x60;document_versions&#x60; collection field from Documents  - 4.0.7    Change secure link format  - 4.0.8    * &#x60;Activity&#x60; hours are redacted in the response based on the activity hours visibility setting for the user   * Add &#x60;quantity_redacted&#x60; field to activities  - 4.0.9    **This is the default version**    Contacts are filtered and redacted in the response based on the new &#39;Contacts Visibility&#39; user permission setting.  - 4.0.10    Fixed validation of &#x60;type&#x60; query parameter when querying Notes   
    """
)

